#include <bits/stdc++.h>
using namespace std;

vector<int> funkcija(int n)
{
    vector<int> v;
    while (n > 0)
    {
        v.push_back(n % 10);
        n /= 10;
    }
    return v;
}
int main()
{
    int a, b, c;
    vector<int> gi1, gi2, gi3;
    cin >> a >> b;
    gi1 = funkcija(a);
    gi2 = funkcija(b);
    int vn1, vn2;
    vn1 = gi1.size();
    vn2 = gi2.size();
    int v = min(vn1, vn2);
    for (int i = 0; i < v; i++)
    {
        if (gi1[i] > gi2[i])
        {
            gi3.push_back(gi1[i]);
        }
        else if (gi2[i] > gi1[i])
        {
            gi3.push_back(gi2[i]);
        }
        else
        {
            gi3.push_back(gi1[i]);
            gi3.push_back(gi1[i]);
        }
    }
    int v1 = max(vn1, vn2);
    gi1.resize(v1);
    gi2.resize(v1);
    for (int i = v; i < v1; i++)
    {
        if (gi1[i] > gi2[i])
        {
            gi3.push_back(gi1[i]);
        }
        else
        {
            gi3.push_back(gi2[i]);
        }
    }

    reverse(gi3.begin(), gi3.end());
    for (auto i:gi3)
    {
        cout << i<<"";
    }

    return 0;
}